System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter

You can use the class to bind the value of an ASP.NET Profile parameter to a parameter used in a parameterized SQL query, business object method, or filtering expression.

The class provides the property in addition to those inherited from the class. The property identifies the ASP.NET Profile property from which the retrieves a value.

Controls that bind data to the parameter might throw an exception if a object is specified but no corresponding profile property is set. Similarly, they might display no data if the profile property is set with null. Set the property to avoid these situations where appropriate.

Binds the value of an ASP.NET Profile property to a parameter object.

- Constructor
  2.0.0.0

  A object created with the constructor is initialized with default values for all its properties. The properties are initialized to . Additionally, the property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null (Nothing in Visual Basic).

  Initializes a new instance of the class.

- Constructor
  2.0.0.0

  The constructor is a protected copy constructor used to clone a instance. The values of the , including , , and are all transferred to the new instance.

  Initializes a new instance of the class with the values of the instance specified by the parameter.

  A instance from which the current instance is initialized.
- Constructor
  2.0.0.0

  A object created with the constructor is initialized with the specified parameter name and , which identifies the ASP.NET Profile property that the parameter binds to. Other properties, including , , and are initialized with default values.

  Initializes a new named instance of the class, using the specified property name to identify which ASP.NET Profile property to bind to.

  The name of the parameter.
  The name of the ASP.NET Profile property that the parameter object is bound to. The default is .
- Constructor
  2.0.0.0

  A object created with the constructor is initialized with the specified parameter name, , and . Only the and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified property name to identify which ASP.NET Profile property to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the ASP.NET Profile property that the parameter object is bound to. The default is .
- Method
  2.0.0.0
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  Returns a duplicate of the current instance.

  A object that is an exact duplicate of the current one.

- Method
  2.0.0.0
  System.Object `` ``

  The attempts to bind to the value of the Profile property every time the method is called.

  The parameter is used by the method to retrieve the ASP.NET Profile that the binds to. The parameter is ignored.

  Updates and returns the value of the object.

  An object that represents the updated and current value of the parameter. If the context or the ASP.NET Profile is null (Nothing in Visual Basic), the method returns null.

  The current of the request. A that is associated with the Web Form where the is used.
- Property
  2.0.0.0
  System.String To be added.

  The property identifies a property of the current ASP.NET Profile available through the current object. If the property does not exist for the Profile, the method fails to bind the parameter to a value.

  Gets or sets the name of the ASP.NET Profile property that the parameter binds to.